#
# spec file for package initviocons (Version 0.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           initviocons
URL:            http://www.iseries.de/
Version:        0.4
Release:        316.2
Summary:        Terminal Initialization for the iSeries Virtual Console
License:        GPL
Group:          System/Console
Autoreqprov:    on
Source:         initviocons-%{version}.tar.bz2
Patch:          initviocons-%{version}.dif
Patch1:         initviocons.minimal-termsize.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Initviocons can be used on the iSeries platform to recognize terminal
features of a telnet client that is connected to the virtual console
(similar to a serial console). It probes the terminal via escape
sequences to find out the screen size and a suitable TERM type. It also
does special initialization if possible (for example, carriage return
suppression for Windows telnet clients). On the iSeries platform, it
additionally checks for the presence of more than one terminal
connected on the same line. See /etc/profile for a usage example.



Authors:
--------
    Peter Poeml <poeml@suse.de>

%debug_package
%prep
%setup -n initviocons-%{version}
%patch0
%patch1 -p1

%build
./configure --prefix=/ --mandir=%{_mandir}
make CFLAGS="$RPM_OPT_FLAGS -Wall"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp -p termprobes $RPM_BUILD_ROOT/usr/bin/

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README 
/bin/*
/usr/bin/*

%changelog -n initviocons
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 08 2006 - olh@suse.de
- do not set cols/rows to less than 80x24 (#140383)
* Wed Oct 26 2005 - werner@suse.de
- Add support for C shell in eval mode
* Wed Oct 05 2005 - dmueller@suse.de
- add norootforbuild
* Sun Jun 09 2002 - poeml@suse.de
- update to 0.4
- no longer ignore carriage return when a Windows telnet client ist
  connected (on iSeries). The telnet server has been fixed to
  handle the Network Virtual Terminal newline correctly.  If the
  respective Program Temporary Fixes are installed on the iSeries,
  this fix here is needed as well to prevent Enter key malfunction
  on the virtual console.
* Tue Mar 12 2002 - kukuk@suse.de
- Fix filelist (exclude /usr/bin as directory)
* Mon Feb 04 2002 - poeml@suse.de
- created package
